import { TestRail, Run, AddResultForCase } from "testrail-js-api";
import type { Meta, Screenshot, TaskResult, TestRunInfo, Video } from "./types";
declare class TestcafeTestrailReporter {
    noColors: boolean;
    formatError: unknown;
    private config;
    private branch;
    private buildNo;
    userAgents: string[];
    results: AddResultForCase[];
    screenshots: {
        [key: string]: Screenshot[];
    };
    videos: {
        [key: string]: Video[];
    };
    constructor();
    reportTaskStart: (_startTime: number, userAgents: string[]) => Promise<void>;
    reportFixtureStart: () => Promise<void>;
    reportTestDone: (name: string, testRunInfo: TestRunInfo, meta: Meta, formatError: (x: Record<string, unknown>) => string) => Promise<void>;
    reportTaskDone: (_endTime: number, _passed: number, _warnings: string[], _result: TaskResult) => Promise<void>;
    publishTestResults: (testrailAPI: TestRail, run: Run, resultsToPush: AddResultForCase[]) => Promise<void>;
}
declare const _default: () => {
    reportTaskStart: (_startTime: number, userAgents: string[]) => Promise<void>;
    reportFixtureStart: () => Promise<void>;
    reportTestDone(name: string, testRunInfo: TestRunInfo, meta: Meta): Promise<void>;
    reportTaskDone: (_endTime: number, _passed: number, _warnings: string[], _result: TaskResult) => Promise<void>;
    reporter: TestcafeTestrailReporter;
};
export = _default;
