"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadVideos = void 0;
const utils_1 = require("../utils");
const uploadVideos = async ({ config, tests, results, resultsToPush, videos, testrailAPI, }) => {
    if (config.uploadVideos) {
        console.log("[TestRail] Uploading videos...");
        for (let i = 0; i < resultsToPush.length; i++) {
            const test = tests.find((test) => test.case_id === resultsToPush[i].case_id);
            const result = results.find((result) => result.test_id === (test === null || test === void 0 ? void 0 : test.id));
            if (result) {
                const videoList = videos[resultsToPush[i].case_id];
                if (videoList) {
                    for (let j = 0; j < videoList.length; j++) {
                        await utils_1.throwOnApiError(testrailAPI.addAttachmentToResult(result.id, videoList[j].videoPath));
                    }
                }
            }
            else {
                console.error(`[TestRail] Could not upload videos for a failed test. Case ID: ${resultsToPush[i].caseId}. Test ID: ${test === null || test === void 0 ? void 0 : test.id}`);
            }
        }
    }
};
exports.uploadVideos = uploadVideos;
